#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	pycups
Summary:	Set of Python 2 bindings for the CUPS API
Summary(pl.UTF-8):	Zbiór wiązań Pythona 2 do API CUPS-a
Name:		python-%{module}
Version:	1.9.73
Release:	7
License:	GPL v2+
Group:		Development/Languages/Python
Source0:	http://cyberelk.net/tim/data/pycups/pycups-%{version}.tar.bz2
# Source0-md5:	ee0e7204d7a2ae942e2f4c4508afdbfb
URL:		http://cyberelk.net/tim/software/pycups/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	cups-devel >= 1.2.1
BuildRequires:	epydoc
%if %{with python2}
BuildRequires:	python-devel >= 1:2.5
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
%endif
BuildRequires:	rpm-pythonprov
Requires:	python-modules
Obsoletes:	python-cups
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides Python 2 bindings for the CUPS API, known as
pycups. It was written for use with system-config-printer, but can be
put to other uses as well.

%description -l pl.UTF-8
Ten pakiet udostępnia wiązania Pythona 2 do API CUPS-a, znane jako
pycups. Został napisany z myślą o pakiecie system-config-printer, ale
może mieć także inne zastosowania.

%package -n python3-pycups
Summary:	Set of Python 3 bindings for the CUPS API
Summary(pl.UTF-8):	Zbiór wiązań Pythona 3 do API CUPS-a
Group:		Development/Languages/Python
Requires:	python3-modules

%description -n python3-pycups
This package provides Python 3 bindings for the CUPS API, known as
pycups. It was written for use with system-config-printer, but can be
put to other uses as well.

%description -n python3-pycups -l pl.UTF-8
Ten pakiet udostępnia wiązania Pythona 3 do API CUPS-a, znane jako
pycups. Został napisany z myślą o pakiecie system-config-printer, ale
może mieć także inne zastosowania.

%package doc
Summary:	Documentation for pycups
Summary(pl.UTF-8):	Dokumentacja do pycupsa
Group:		Documentation

%description doc
Documentation for pycups.

%description doc -l pl.UTF-8
Dokumentacja do pycupsa.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
CC="%{__cc}" \
CFLAGS="%{rpmcflags} -fno-strict-aliasing" \
%py_build \
	--build-base build-2
%endif

%if %{with python3}
CC="%{__cc}" \
CFLAGS="%{rpmcflags} -fno-strict-aliasing" \
%py3_build \
	--build-base build-3
%endif

%{__make} doc

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%attr(755,root,root) %{py_sitedir}/cups.so
%{py_sitedir}/pycups-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-pycups
%defattr(644,root,root,755)
%doc NEWS README TODO
%attr(755,root,root) %{py3_sitedir}/cups.cpython-*.so
%{py3_sitedir}/pycups-%{version}-py*.egg-info
%endif

%files doc
%defattr(644,root,root,755)
%doc html/*
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pycups.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> f69c17e
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 3ef1352
- release 6 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> cd3f51a
- rebuild with python 3.8
- release 5 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 112a3a8
- release 4 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 68a190b
- python 3.6
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 2ba271e
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f281862
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f3e9c3e
- automatic change: use py_build/py_install macros

* Tue Oct 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 1828274
- updated to 1.9.73

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f6898cd
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c3617d8
- python 3.5 rebuild
- release 2 (by relup.sh)

* Sat Dec 06 2014 Jakub Bogusz <qboosh@pld-linux.org> fce083f
- updated to 1.9.69

* Sat Oct 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 9a7ae3c
- updated to 1.9.68
- added python3 package

* Sun Jun 22 2014 Jakub Bogusz <qboosh@pld-linux.org> abbf6a3
- updated to 1.9.67

* Sat Nov 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 4a5d691
- updated to 1.9.66
- actually package docs

* Sat Mar 03 2012 Elan Ruusamäe <glen@pld-linux.org> 44ca03b
- merged with python-cups

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> cb47186
- up to 1.9.60

* Fri Jun 03 2011 Artur Frysiak <artur@frysiak.net> 646660c
- up to 1.9.56

* Sun Mar 20 2011 Artur Frysiak <artur@frysiak.net> 3785aa4
- up to 1.9.55

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 553f28d
- release 2

